Bug 6129 - va_start always needs a va_end, missing in some instances
va_start always needs a va_end, missing in some instances
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
x86 Linux
: P3 trivial
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 15:56 UTC by Erik Hovland
Modified: 2009-06-18 03:46 UTC (History)
0 users

See Also:


Attachments
Makes sure va_end is called no matter what condition (2.12 KB, patch)
2009-02-19 15:57 UTC, Erik Hovland
no flags Details
Updated patch (3.90 KB, patch)
2009-06-12 03:10 UTC, Andrew Kroeger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Hovland 2009-02-19 15:56:40 UTC
For varargs to work on other platforms (like PowerPC) a va_end is needed for every va_start, regardless of the error path. There are a few instances in the code where this is the case.
lib/torture/torture.c
source4/auth/ntlmssp/ntlmssp_parse.c
Comment 1 Erik Hovland 2009-02-19 15:57:15 UTC
Created attachment 3946 [details]
Makes sure va_end is called no matter what condition
Comment 2 Andrew Kroeger 2009-06-12 03:10:52 UTC
Created attachment 4281 [details]
Updated patch

The attached patch has been updated for merged code and some cases not originally identified.
Comment 3 Matthias Dieter Wallnöfer 2009-06-12 05:36:41 UTC
Pushed to "master". Fixed!
Comment 4 Matthias Dieter Wallnöfer 2009-06-12 05:45:52 UTC
Wrong patch, reopen!
Comment 5 Matthias Dieter Wallnöfer 2009-06-18 03:46:47 UTC
Fixed